.TH wxTreeEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTreeEvent \- See external documentation: wxTreeEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxTreeEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcommand_tree_begin_drag\fR, \fIcommand_tree_begin_rdrag\fR, \fIcommand_tree_begin_label_edit\fR, \fIcommand_tree_end_label_edit\fR, \fIcommand_tree_delete_item\fR, \fIcommand_tree_get_info\fR, \fIcommand_tree_set_info\fR, \fIcommand_tree_item_expanded\fR, \fIcommand_tree_item_expanding\fR, \fIcommand_tree_item_collapsed\fR, \fIcommand_tree_item_collapsing\fR, \fIcommand_tree_sel_changed\fR, \fIcommand_tree_sel_changing\fR, \fIcommand_tree_key_down\fR, \fIcommand_tree_item_activated\fR, \fIcommand_tree_item_right_click\fR, \fIcommand_tree_item_middle_click\fR, \fIcommand_tree_end_drag\fR, \fIcommand_tree_state_image_click\fR, \fIcommand_tree_item_gettooltip\fR, \fIcommand_tree_item_menu\fR
.RE
.LP
See also the message variant #wxTree{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxNotifyEvent 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTreeEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getKeyCode(This::wxTreeEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetkeycode>\&.
.RE
.LP
.B
getItem(This::wxTreeEvent()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetitem>\&.
.RE
.LP
.B
getKeyEvent(This::wxTreeEvent()) -> wxKeyEvent() (see module wxKeyEvent)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetkeyevent>\&.
.RE
.LP
.B
getLabel(This::wxTreeEvent()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetlabel>\&.
.RE
.LP
.B
getOldItem(This::wxTreeEvent()) -> wxTreeItemId()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetolditem>\&.
.RE
.LP
.B
getPoint(This::wxTreeEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventgetpoint>\&.
.RE
.LP
.B
isEditCancelled(This::wxTreeEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventiseditcancelled>\&.
.RE
.LP
.B
setToolTip(This::wxTreeEvent(), ToolTip::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtreeevent\&.html#wxtreeeventsettooltip>\&.
.RE
